JSAPException (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.JSAPException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class JSAPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.martiansoftware.jsap.JSAPException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IllegalMultipleDeclarationException, ParseException, RequiredParameterMissingException, SyntaxException, UnknownFlagException

    public class JSAPException

extends Exception

The base class for all of JSAP's exceptions. A JSAPException can encapsulate another Exception, which can be obtained via the getRootCause() method. This is useful in cases where subclasses might need to throw an exception that JSAP is not expecting, such as an IOException while loading a DefaultSource. The subclass can in these cases throw a new JSAPException encapsulating the IOException.

Author:
  Marty Lamb
See Also:
  `Flagged`, `Option`, Serialized Form

Constructor Summary
`JSAPException()` Creates a new JSAPException.
`JSAPException(String msg)` Creates a new JSAPException with the specified message.
`JSAPException(String msg, Throwable cause)` Creates a new JSAPException with the specified message encapsulating the specified Throwable.
`JSAPException(Throwable cause)` Creates a new JSAPException encapsulating the specified Throwable.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSAPException

    public JSAPException()

  Creates a new JSAPException.

### JSAPException

    public JSAPException(String msg)

  Creates a new JSAPException with the specified message.

  Parameters:
    `msg` - the message for this JSAPException.

### JSAPException

    public JSAPException(Throwable cause)

  Creates a new JSAPException encapsulating the specified Throwable.

  Parameters:
    `cause` - the Throwable to encapsulate.

### JSAPException

    public JSAPException(String msg,
                         Throwable cause)

  Creates a new JSAPException with the specified message encapsulating the specified Throwable.

  Parameters:
    `msg` - the message for this JSAPException.
    `cause` - the Throwable to encapsulate.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap